 
Summary: A replacement for KDE plasmashell
Name:    liquidshell
Version: 1.5
Release: %mkrel 1
License: GPL-3.0
Group:   Graphical desktop/KDE5
Source:  %{name}-%{version}.tar.xz
URL: https://cgit.kde.org/liquidshell.git
BuildRoot: %{_tmppath}/%{name}-build
BuildRequires: binutils
BuildRequires: cmake
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5bluezqt-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: lib64kf5newstuff-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5solid-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64kitemviews-devel
BuildRequires: lib64networkmanager-qt-devel
BuildRequires: lib64nm-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: libxcb-devel
BuildRequires: ninja
BuildRequires: qtbase5-common-devel

%description
Alternative desktop replacement for KDE Plasma, using QtWidgets
instead of QtQuick to ensure hardware acceleration is not required.

To start Liquidshell
Select Liquidshell
from your GDM Session Menu

#================= PREP ==================
%prep
%setup -q
 
#================= BUILD ==================
%build

%cmake_kf5 -GNinja

%ninja_build
 
 
 
#================= INSTALL ==================
%install
rm -rf %buildroot
%ninja_install -C build

# wmsession support
mkdir -p %{buildroot}/etc/X11/wmsession.d/
cat << EOF > %{buildroot}/etc/X11/wmsession.d/90Liquidshell
NAME=Liquidshell
ICON=
EXEC=/usr/bin/start_liquidshell
DESC=Lightweight desktop environment
SCRIPT:
exec /usr/bin/start_liquidshell
EOF

install -m 0755 start_liquidshell %buildroot/%{_bindir}/start_liquidshell

#================= POST / POSTUN Mandriva ==================
%post
%update_menus
%{make_session}
 
%postun
%clean_menus
%{make_session}
 
#================= CLEAN ==================
%clean
rm -rf %buildroot
 
#================= FILES ==================
%files
%defattr(-,root,root)
%{_sysconfdir}/X11/wmsession.d/90Liquidshell
%{_bindir}/start_liquidshell
%{_bindir}/liquidshell
%{_datadir}/applications/org.kde.liquidshell.desktop
%{_datadir}/icons/hicolor/48x48/apps/liquidshell.png
%{_datadir}/knotifications5/liquidshell.notifyrc 

#================= CHANGELOG ==================
%changelog
* Sun Jan 26 2020 tex - 1.5-1pclos2020
- create package
